/**
 *    _______________
 *    |       .-.   |
 *    |      // ``  |
 *    |     //      |
 *    |  == ===-_.-'|
 *    |   //  //    |
 *    |__//_________|
 *
 * Copyright (c) 2016 familie-redlich :systeme <systeme@familie-redlich.de>
 *
 * @link     http://www.familie-redlich.de
 * @package  Deutsches Rotes Kreuz
 *
 */

// Basic setup and variables
@import "0-settings/settings.colors";
@import '0-settings/.importer';
// Functions and mixins
@import '1-utils/.importer';
// Generic stuff
@import '2-generic/.importer';
// Base setup
@import '3-base/.importer';

// set min-width to table style

table {
    td {
        min-width: rem-calc(80);
    }
}

table {
    &.c-table--horizontal {
        margin: 0; /* some unnecessary rule, to generate an table.class in css for RTE */

        tr {
            &:nth-of-type(2n) {
                background: $drk-color-bright none repeat scroll 0 0;
            }
        }
    }

    &.c-table--vertical {
        margin: 0; /* some unnecessary rule, to generate an table.class in css for RTE */

        td {
            &:nth-of-type(2n) {
                background: $drk-color-bright none repeat scroll 0 0;
            }
        }
    }
}
